/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         // insert code to be run when the composition is fully loaded here
         
         // Cantidad de ejercicio de multiplicación
         ejerciciosMult = 15;
         intentosMult = 0;
         aciertosMult = 0;
         fallosMult = 0;
         
         $("#Stage_aciertos").html("?");
         $("#Stage_fallos").html("?");
         $("#Stage_intentos").html("0");
         $("#Stage_final").html("");	
         
         iniciarEjMult();
         
         function iniciarEjMult(){
         
         	var opcionMult = Math.floor((Math.random() * 2) + 1);
         
         	if(opcionMult==1){
         		var num_1 = Math.floor((Math.random() * 10) + 1);
         		var num_2 = 10;
         		$("#Stage_multiplicacion").html(num_1+" x "+num_2);
         		respMult = num_1 * num_2;
         	}else{
         		var num_1 = 10;
         		var num_2 = Math.floor((Math.random() * 10) + 1);
         		$("#Stage_multiplicacion").html(num_1+" x "+num_2);
         		respMult = num_1 * num_2;
         	}	
         }
         
         
         $("#Stage_hotspot_reiniciar").click(function(){
         	$("#Stage_aciertos").html("?");
         	$("#Stage_fallos").html("?");
         	$("#Stage_intentos").html("0");
         	$("#Stage_final").html("");	
         	$('[id ^= Stage_B_]').css("pointer-events","auto");
         	intentosMult = 0;
         	aciertosMult = 0;
         	fallosMult = 0;
         	iniciarEjMult();
         });
         
         $('[id ^= Stage_B_]').click(function(){
         	var numSeleccionado = $(this).attr("id").slice(8);	
         
         	if(intentosMult < ejerciciosMult){	
         		intentosMult++;
         		$("#Stage_intentos").html(intentosMult);
         
         		if(numSeleccionado == respMult){
         			aciertosMult++;	
         			$("#Stage_aciertos").html(aciertosMult);
         		}else{
         			fallosMult++;
         			$("#Stage_fallos").html(fallosMult);
         		}
         		if(aciertosMult == ejerciciosMult){
         			sym.$("resp_correcta").show();
         			setTimeout('$("#Stage_resp_correcta").fadeOut("slow");', 2500);
         			//audio correcto
         			sym.$("success")[0].play();
         			sym.$("success")[0].muted = false;
         		}
         
         		iniciarEjMult();
         	}
         	else{
         		$('[id ^= Stage_B_]').css("pointer-events","none");	
         		$("#Stage_final").html("Terminaste los 15 ejercicios.");	
         	}
         });

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

})(jQuery, AdobeEdge, "EDGE-94063035");
 